org.keycloak.models.jpa.entities

## Class UserFederationProviderEntity

- java.lang.Object
- - org.keycloak.models.jpa.entities.UserFederationProviderEntity

-     @Entity
      public class UserFederationProviderEntity
      extends Object

  Author:
    Marek Posolda, Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `id`
    `protected RealmEntity` | `realm`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserFederationProviderEntity()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `getChangedSyncPeriod()`
    `Map<String,String>` | `getConfig()`
    `String` | `getDisplayName()`
    `int` | `getFullSyncPeriod()`
    `String` | `getId()`
    `int` | `getLastSync()`
    `int` | `getPriority()`
    `String` | `getProviderName()`
    `RealmEntity` | `getRealm()`
    `int` | `hashCode()`
    `void` | `setChangedSyncPeriod(int changedSyncPeriod)`
    `void` | `setConfig(Map<String,String> config)`
    `void` | `setDisplayName(String displayName)`
    `void` | `setFullSyncPeriod(int fullSyncPeriod)`
    `void` | `setId(String id)`
    `void` | `setLastSync(int lastSync)`
    `void` | `setPriority(int priority)`
    `void` | `setProviderName(String providerName)`
    `void` | `setRealm(RealmEntity realm)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### id

          protected String id

    - #### realm

          protected RealmEntity realm

  - ### Constructor Detail

    - #### UserFederationProviderEntity

          public UserFederationProviderEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealm

          public RealmEntity getRealm()

    - #### setRealm

          public void setRealm(RealmEntity realm)

    - #### getProviderName

          public String getProviderName()

    - #### setProviderName

          public void setProviderName(String providerName)

    - #### getPriority

          public int getPriority()

    - #### setPriority

          public void setPriority(int priority)

    - #### getConfig

          public Map<String,String> getConfig()

    - #### setConfig

          public void setConfig(Map<String,String> config)

    - #### getDisplayName

          public String getDisplayName()

    - #### setDisplayName

          public void setDisplayName(String displayName)

    - #### getFullSyncPeriod

          public int getFullSyncPeriod()

    - #### setFullSyncPeriod

          public void setFullSyncPeriod(int fullSyncPeriod)

    - #### getChangedSyncPeriod

          public int getChangedSyncPeriod()

    - #### setChangedSyncPeriod

          public void setChangedSyncPeriod(int changedSyncPeriod)

    - #### getLastSync

          public int getLastSync()

    - #### setLastSync

          public void setLastSync(int lastSync)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.